| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::QualifiedPropertyValueMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

## Public Member Functions

| QualifiedPropertyValueMap ()
| QualifiedPropertyValueMap (const QMap< QString, QDBusVariant > &a)
QualifiedPropertyValueMap & | operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

A mapping from strings representing D-Bus properties (by their namespaced names) to their values.

## Constructor & Destructor Documentation

Tp::QualifiedPropertyValueMap::QualifiedPropertyValueMap | ( |  | ) |

inline

Tp::QualifiedPropertyValueMap::QualifiedPropertyValueMap | ( | const QMap< QString, QDBusVariant > & | a | ) |

inline

## Member Function Documentation

QualifiedPropertyValueMap& Tp::QualifiedPropertyValueMap::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) |

inline